## org.eclipse.datatools.modelbase.sql.query
Interface TableInDatabase

All Superinterfaces:
  SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  TableInDatabaseImpl

public interface TableInDatabase
extends TableExpression

A representation of the model object 'SQLRDB Table'.

The following features are supported:

- `Update Statement`
- `Delete Statement`
- `Insert Statement`
- `Database Table`
- `Derived Column List`

See Also:
  `SQLQueryModelPackage.getTableInDatabase()`

Method Summary
`Table` `getDatabaseTable()` Returns the value of the 'Database Table' reference.
`QueryDeleteStatement` `getDeleteStatement()` Returns the value of the 'Delete Statement' container reference.
`EList` `getDerivedColumnList()` Returns the value of the 'Derived Column List' reference list.
`QueryInsertStatement` `getInsertStatement()` Returns the value of the 'Insert Statement' container reference.
`QueryUpdateStatement` `getUpdateStatement()` Returns the value of the 'Update Statement' container reference.
`void` `setDatabaseTable(Table value)` Sets the value of the '`Database Table`' reference.
`void` `setDeleteStatement(QueryDeleteStatement value)` Sets the value of the '`Delete Statement`' container reference.
`void` `setInsertStatement(QueryInsertStatement value)` Sets the value of the '`Insert Statement`' container reference.
`void` `setUpdateStatement(QueryUpdateStatement value)` Sets the value of the '`Update Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

  Returns the value of the 'Update Statement' container reference. It is bidirectional and its opposite is '`Target Table`'.

  If the meaning of the 'Update Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getTableInDatabase_UpdateStatement()`, `QueryUpdateStatement.getTargetTable()`

### setUpdateStatement

    public void setUpdateStatement(QueryUpdateStatement value)

  Sets the value of the '`Update Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Update Statement' container reference.
  See Also:
    `getUpdateStatement()`

### getDeleteStatement

    public QueryDeleteStatement getDeleteStatement()

  Returns the value of the 'Delete Statement' container reference. It is bidirectional and its opposite is '`Target Table`'.

  If the meaning of the 'Delete Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getTableInDatabase_DeleteStatement()`, `QueryDeleteStatement.getTargetTable()`

### setDeleteStatement

    public void setDeleteStatement(QueryDeleteStatement value)

  Sets the value of the '`Delete Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Delete Statement' container reference.
  See Also:
    `getDeleteStatement()`

### getInsertStatement

    public QueryInsertStatement getInsertStatement()

  Returns the value of the 'Insert Statement' container reference. It is bidirectional and its opposite is '`Target Table`'.

  If the meaning of the 'Insert Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insert Statement' container reference.
  See Also:
    `setInsertStatement(QueryInsertStatement)`, `SQLQueryModelPackage.getTableInDatabase_InsertStatement()`, `QueryInsertStatement.getTargetTable()`

### setInsertStatement

    public void setInsertStatement(QueryInsertStatement value)

  Sets the value of the '`Insert Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Insert Statement' container reference.
  See Also:
    `getInsertStatement()`

### getDatabaseTable

    public Table getDatabaseTable()

  Returns the value of the 'Database Table' reference.

  If the meaning of the 'Database Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database Table' reference.
  See Also:
    `setDatabaseTable(Table)`, `SQLQueryModelPackage.getTableInDatabase_DatabaseTable()`

### setDatabaseTable

    public void setDatabaseTable(Table value)

  Sets the value of the '`Database Table`' reference.

  Parameters:
    `value` - the new value of the 'Database Table' reference.
  See Also:
    `getDatabaseTable()`

### getDerivedColumnList

    public EList getDerivedColumnList()

  Returns the value of the 'Derived Column List' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Table In Database`'. Gets the list of columns used anywhere in the statement that are derived from this table.

  Returns:
    the value of the 'Derived Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getTableInDatabase_DerivedColumnList()`, `ValueExpressionColumn.getTableInDatabase()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.